Assembly Instructions
The assembly instructions resource.
Basehttps://rest.carbon.ms/assemblyInstructions
GET
/assemblyInstructionsList assembly instructions
Retrieve a paginated list of assembly instructions. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/assemblyInstructions
curl --request GET \
--url 'https://rest.carbon.ms/assemblyInstructions?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"name": "Example",
"modelUploadId": "xyz789",
"itemId": "xyz789",
"assemblyPlanJobId": "xyz789",
"status": "string",
"version": 0,
"publishedAt": "2026-01-01T00:00:00Z"
}
]GET
/assemblyInstructionsRetrieve a assembly instructions
Fetch a single assembly instructions by filtering on `id`.
Query parameters
idstringMatch on the assembly instructions's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/assemblyInstructions
curl --request GET \
--url 'https://rest.carbon.ms/assemblyInstructions?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"name": "Example",
"modelUploadId": "xyz789",
"itemId": "xyz789",
"assemblyPlanJobId": "xyz789",
"status": "string",
"version": 0,
"publishedAt": "2026-01-01T00:00:00Z"
}